# General settings
#shell fish

## Width of border between splits
window_border_width 1.0
## Only draw borders around active split
draw_minimal_borders yes
## Padding inside splits
window_padding_width 4
## Helps with cava
sync_to_monitor yes
# Dim text on inactive splits
inactive_text_alpha 0.75
## Enable IPC
allow_remote_control yes
## Disable update checking (why would you even want this?)
update_check_interval 0
## Change cursor to beam
cursor_shape beam
## Disable annoying noises
enable_audio_bell no
## Fix weird cursor bug
pointer_shape_when_grabbed arrow

background_opacity 0.9

# Tabs
tab_bar_edge top
tab_bar_style powerline
tab_powerline_style slanted

# Font settings
## Set main font
#font_family Operator Mono Lig Book
font_family Iosevka Custom
bold_font Iosevka Custom
#bold_font Operator Mono SSm Lig Bold
## Set italic fonts (used for comments in vim)
#italic_font Operator Mono Book Italic
italic_font Iosevka Custom Italic
## Default font size
font_size 13
## Add some spacing between lines
adjust_line_height 2
# Change font size on the fly
map ctrl+shift+0 change_font_size all +1.0
map ctrl+shift+9 change_font_size all -1.0
map ctrl+shift+= change_font_size all 12

# Layout settings
enabled_layouts splits
## Make splits
map ctrl+shift+- launch --cwd=current --location=hsplit
map ctrl+shift+\ launch --cwd=current --location=vsplit
map ctrl+shift+enter
## Move between splits
map ctrl+shift+up neighboring_window up
map ctrl+shift+left neighboring_window left
map ctrl+shift+right neighboring_window right
map ctrl+shift+down neighboring_window down
map ctrl+shift+k neighboring_window up
map ctrl+shift+h neighboring_window left
map ctrl+shift+l neighboring_window right
map ctrl+shift+j neighboring_window down
## Resize split
map ctrl+alt+shift+left resize_window narrower 1
map ctrl+alt+shift+right resize_window wider 1
map ctrl+alt+shift+up resize_window taller 1
map ctrl+alt+shift+down resize_window shorter 1
map ctrl+alt+shift+h resize_window narrower 1
map ctrl+alt+shift+l resize_window wider 1
map ctrl+alt+shift+k resize_window taller 1
map ctrl+alt+shift+j resize_window shorter 1

# Open scrollback buffer with less
map f1 launch --stdin-source=@screen_scrollback --stdin-add-formatting less +G -R

#clear_all_mouse_actions yes
#mouse_map ctrl+shift+left release grabbed,ungrabbed mouse_handle_click link
#mouse_map left press ungrabbed mouse_selection normal
#mouse_map shift+left click grabbed,ungrabbed mouse_handle_click selection link prompt
#mouse_map shift+left press ungrabbed,grabbed mouse_selection normal
#mouse_map left doublepress ungrabbed mouse_selection word
#mouse_map left triplepress ungrabbed mouse_selection line

#mouse_map right release grabbed,ungrabbed discard_event
#mouse_map left release grabbed,ungrabbed discard_event

confirm_os_window_close 0

# Include theme
include thnikk.conf
